//=============//Y.V.C Rao,An INTRODUCTION TO THERMODYNAMICS,SECOND EDITION,2004

//Chapter 3:Thermodynamic properties of fluids
//Example:3.4
//Title:Compressibility Chart
//Determine pressure exerted by ammonia
model Ex3_4

//======================
//variable section
Real Tr(unit="dimensionless")"Reduced temperature";
Real Pr(unit="dimensionless")"Reduced pressure";
Real P(unit="MPa")"pressure exerted by ammonia";
//============================
//parameter section
parameter Real T(unit="K")=200"temperature";
parameter Real Pc(unit="bar")=112.77"critical pressure";
parameter Real Tc(unit="K")=405.5"critical temperature";
parameter Real V(unit="m^3")=0.1"volume of vessel";
parameter Real R(unit="J/K mol")=8.314;
//=================================
//equation section

equation
Tr=(T+273)/Tc;//Z=(P*V)/(R*T) from this equation find the value of Z in terms of Pr and find the slope from the compressiblity chart locate the point of intersection of the line with the curve for Tr=1.1 and find the value of Z and Pr
//Refer to book Pg no:63                             

Pr =1.9;
P=Pr*(Pc*(10^5))/(1000*1000);

end Ex3_4;
