//=============//Y.V.C Rao,An INTRODUCTION TO THERMODYNAMICS,SECOND EDITION,2004

//Chapter 6:Transient flow process
//Example:6.10
//Determien Temperature of gas inside tank when pressure reaches 10 bar

model Ex6_10

//================
//parameter section
parameter Real Cp(unit="J/mol.K")=7*R/2"specific heat at constant pressure";
parameter Real Cv(unit="J/mol.K")=5*R/2"specific heat at constant volume";
parameter Real T(unit="K")=600"initial temperature of the gas";
parameter Real P(unit="bar")=10"initial pressure of the gas";

//================
//constant section
constant Real R(unit="J/mol.K")=8.314"gas constant";

//================
//variable section
Real Tf(unit="K")"final temperature of the gas";

//======================
//equation section
equation
Cp*T=(R*Tf/2)+(Cv*Tf);//to calculate final temperature Refer to book Pg no:167
end Ex6_10;
