//=============//Y.V.C Rao,An INTRODUCTION TO THERMODYNAMICS,SECOND EDITION,2004

//Chapter 6:chemically reacting systems
//Example:6.18
//Estimate standard heat for given reaction
model Ex6_18

//C5H12+8O2----------->5CO2+6H2O
//=============
//variable section
Real hg(unit="kJ/kg")"enthalpy of steam in vapour state";
Real hf(unit="kJ/kg")"enthalpy of steam in liquid state";
Real H1(unit="kJ")"standard heat of the reaction when water is in gas state";
Real H2(unit="kJ")"standard heat of the reaction when water is in liquid state";
Real H3(unit="kJ/mol")"heat of formation of water from liquid to gas state";

//=====================
//equation section
equation
//refer to stem tables in book Pg no:440 for the value of hf and hg
hg=2547.3;
hf=104.77;
H1=-3274.5;//value taken from example 6_17
H3=(hg-hf)/55.55;
H2=H1-(6*H3);
end Ex6_18;
