//=============//Y.V.C Rao,An INTRODUCTION TO THERMODYNAMICS,SECOND EDITION,2004

//Chapter 6:chemically reacting systems
//Example:6.19
//To estimate the Gross heating value
model Ex6_19

//C5H12(g)+8O2(g)----->5CO2(g)+6H2O(g) Refer to book Pg no:187 for the stoichiometry equation
//when water is in gas state

//======================
//parameter section
parameter Real del1H298(unit="kJ")=-3274.5"standard heat of formation when water is in vapour state";//Refer to Ex 6_17 for the value
parameter Real del2H298(unit="kJ")=-3538.32"standard heat of formation when water is in liquid state";//Refer to Ex 6_18 for the value

//===============
//variable section
Real del1Hc(unit="kJ")"net heat value";
Real del2Hc(unit="kJ")"Gross heating value";

//===================
//equation section 
//Refer to example 6_17 for finding the standard heat of formation in gas state Refer to book Pg no:187
equation
del1Hc=-del1H298;
del2Hc=-del2H298;
//Remarks:here value of del1Hc is taken as -del1Hc and delH2c is taken as -delH2c
end Ex6_19;
