//=============//Y.V.C Rao,An INTRODUCTION TO THERMODYNAMICS,SECOND EDITION,2004

//Chapter 6:First law analysis of process
//chemically reacting systems
//Example:6.22
//Estimate adiabatic ﬂame temperature that can be reached
model Ex6_22

//=================
//parameter section
parameter Real delH298(unit="kJ")=-3274.5"standard heat of reaction at 298 K";//value calculated from Ex6_17
parameter Real Cp1(unit="J/mol.K")=62.75"molar het capacities of CO2";
parameter Real Cp2(unit="J/mol.K")=52.96"molar het capacities of H2O";
parameter Real Cp3(unit="J/mol.K")=38.67"molar het capacities of O2";
parameter Real Cp4(unit="J/mol.K")=37.13"molar het capacities of N2";
parameter Real T(unit="K")=298"Temperatur at initial condition";
parameter Real Q(unit="kJ")=0"energy transfeered as heat";

//==============
//variable section
Real delHP(unit="kJ")"staandard heat of products";
Real T1(unit="K")"final temperature";

//======================
//equation section
equation
delHP=((5*Cp1)+(6*Cp2)+(2*Cp3)+(37.619*Cp4))*10^(-3)*(T1-T);
Q=delH298+delHP;//Refer to book Pg no:19 for the equation
end Ex6_22;
