//=============//Y.V.C Rao,An INTRODUCTION TO THERMODYNAMICS,SECOND EDITION,2004

//Chapter 6:First law analysis of process
//Example:6.4
//Title:Applications of throttling
//Determine throttling pressure of referigerant and state of referigearant

model Ex6_4

//===================
//parameter section
parameter Real T1(unit="bar")=40"Temperature of the saturated vapour enters the condensor";
parameter Real T2(unit="bar")=40"Temperature of the saturated liquid leaves the condensor";
parameter Real T3(unit="deg C")=-26"temperature of the low pressure refrigerant";

//==========================
//variable section
Real hf(unit="kJ/kg")"enthalpy of the coolant in liquid state";
Real hg(unit="kJ/kg")"enthalpy of the coolant in vapour state";
Real h3(unit="kJ/kg")"enthalpy of the saturated liquid";
Real X(unit="dimensionless")"quality ofthe steam";
Real P(unit="kPa")"saturaton pressuure";

//================
//equation section
//Refer to steam tables in appendix for value of hf,hg,h3 and Refer to book Pg no:156
equation
hf=12.5201;
hg=176.1723;
h3=75.1134;
P=118.643;
h3=(hg*X)+((1-X)*hf);//to find the quality of the steam
end Ex6_4;
