//=============//Y.V.C Rao,An INTRODUCTION TO THERMODYNAMICS,SECOND EDITION,2004

//Chapter 7:Second law of thermodynamics
//Example:7.8
//Title:Clausius Inequality
//Determine heat interactons with other two reservoirs 

model Ex7_8

//==================
//parameter section
parameter Real T1(unit="K")=600"first  constant temperature that the reversible heat engine operates";
parameter Real T2(unit="K")=400"second  constant temperature that the reversible heat engine operates";
parameter Real T3(unit="K")=300"Third constant temperature that the reversible heat engine operates";
parameter Real Q1(unit="kJ")=2500"amount of energy received as heat from the first reservoir";
parameter Real W(unit="kJ")=1000"amount of work done";
parameter Real dQ(unit="kJ")=0"integral dq/T";//according to clausius inequality it gives as 0
//==================
//variable section
Real Q2(unit="kJ")"heat interaction with the second reservoir";
Real Q3(unit="kJ")"heat interaction with the Third reservoir";

//=============
//equation section
equation
W=Q1-Q2-Q3;
dQ=(Q1/T1)-(Q2/T2)-(Q3/T3);
end Ex7_8;
